Skip to main content
GET
/
v1
/
blocks
/
{block_id}
TypeScript SDK
import { Client } from "@notionhq/client"

const notion = new Client({ auth: process.env.NOTION_API_KEY })

const response = await notion.blocks.retrieve({
  block_id: "c02fc1d3-db8b-45c5-a222-27595b15aea7"
})
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://developers.notion.com/llms.txt

Use this file to discover all available pages before exploring further.

If the block returned contains the key has_children: true, use the Retrieve block children endpoint to get the list of children. To retrieve page content for a specific page, use Retrieve block children and set the page ID as the block_id. For more information, read the Working with page content guide.
Connection capabilitiesThis endpoint requires a connection to have read content capabilities. Attempting to call this API without read content capabilities will return an HTTP response with a 403 status code. For more information on connection capabilities, see the capabilities guide.

Errors

Returns a 404 HTTP response if the block doesn’t exist, or if the connection doesn’t have access to the block. Returns a 400 or 429 HTTP response if the request exceeds the request limits. Note: Each Public API endpoint can return several possible error codes. See the Error codes section of the Status codes documentation for more information.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The API version to use for this request. The latest version is 2026-03-11.

Available options:
2026-03-11

Path Parameters

block_id
string
required

Response

object
string
required
Allowed value: "block"
id
string<uuid>
required